Heartbleed, not on Barium Live

In the last couple of days, chances are that you may have read about a serious bug found in the cryptographic software library OpenSSL called “Heartbleed”. This bug has made it possible to steal information which is normally protected by SSL/TLS used to secure the Internet. The same security protocols are widely used when you access your banks web site, web mail or corporate Virtual Private Networks (VPN).

NoHeartbleed

Barium Live is not affected by this bug since we do not use any of the OpenSSL versions that has this vulnerability.

However, many of the Web Services that we all love have been found to be affected. The general recommendation is to change all passwords on sites like Facebook, Yahoo and more. If you use the same password on any of these sites and on Barium Live we do recommend that you change your password on Barium Live as well, just to be sure.

Read about the full details of the “Heartbleed” bug on heartbleed.com.

Regards,
Jonathan Franze
Product Manager

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s